# $Revision: 1.12 $, $Date: 2007/02/13 07:16:44 $
Summary:	freedt - a reimplementation of Dan Bernstein's daemontools
Summary(pl.UTF-8):	freedt - reimplementacja daemontools Dana Bernsteina
Name:		freedt
Version:	0.21
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	http://offog.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	28484635b0e149d00b872b6b0d935683
Source2:	%{name}.sysconfig
Source3:	%{name}.init
URL:		http://offog.org/code/freedt.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	rc-scripts
Requires(post,preun):	/sbin/chkconfig
Obsoletes:	daemontools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
freedt currently includes feature-equivalent replacements for argv0,
envdir, envuidgid, setlock, setuidgid, softlimit, supervise, svc,
svok, svscan, svstat and recordio. It also includes dumblog (a simple
multilog replacement), mkservice (a script for automatically creating
service directories), anonidentd (an anonimising identd
implementation) and ratelimit (a bandwidth-limiting filter along the
lines of recordio).

%description -l pl.UTF-8
freedt aktualnie zawiera funkcjonalnie równoważne zamienniki argv0,
envdir, envuidgid, setlock, setuidgid, softlimit, supervise, svc,
svok, svscan, svstat i recordio. Zawiera również dumblog (prosty
zamiennik multiloga), mkservice (skrypt do automatycznego tworzenia
katalogów dla usług), anonidentd (zapewniającą anonimowość
implementację identd) oraz ratelimit (filtr ograniczający pasmo
działający w recordio).

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT/var/lib/service

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/svscan
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svscan

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add svscan
%service svscan restart

%preun
if [ "$1" = "0" ]; then
	%service svscan stop
	/sbin/chkconfig --del svscan
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(700,root,root) /var/lib/service
%attr(754,root,root) /etc/rc.d/init.d/svscan
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/svscan

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freedt.spec,v $
Revision 1.12  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.10  2006/04/18 11:27:21  darekr
- use %service

Revision 1.9  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.8  2005/05/08 13:40:31  arekm
- up to 0.21

Revision 1.7  2005/02/04 15:54:33  czucz
- updated to 0.20

Revision 1.6  2004/11/07 20:04:16  darekr
- updated to 0.19
- remove outdated patch

Revision 1.5  2004/02/15 20:41:50  wolf
- pl fix

Revision 1.4  2004/02/04 13:39:48  jajcus
- Release: 2
- va_list handling in code fixed, so it doesn't crash on AMD64

Revision 1.3  2004/01/02 12:11:23  eothane
- wrong bracket in Polish language Summary:

Revision 1.2  2004/01/02 11:16:38  ankry
- pl, formatting, kill unfinished text

Revision 1.1  2004/01/01 17:35:38  arekm
- initial pld release
